## xdoclet.modules.ejb.lookup
Class LookupObjectSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.modules.ejb.AbstractEjbCodeGeneratorSubTask
                      xdoclet.modules.ejb.lookup.LookupObjectSubTask

All Implemented Interfaces:
  Serializable

public class LookupObjectSubTask
extends AbstractEjbCodeGeneratorSubTask

Version:
  $Revision: 1.13 $
Author:
  Konstantin Pribluda
See Also:
  Serialized Form
ant.element
  display-name="Lookup Object" name="utilobject" parent="xdoclet.modules.ejb.EjbDocletTask"
created
  October 3, 2001

Nested Class Summary
`static class` `LookupObjectSubTask.LookupKind`

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary
`static String` `DEFAULT_UTIL_CLASS_PATTERN`

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`LookupObjectSubTask()` Describe what the UtilObjectSubTask constructor does

Method Summary
`protected void` `engineStarted()` Describe what the method does
`boolean` `getCacheHomes()` Cache the homes?
`protected String` `getGeneratedFileName(xjavadoc.XClass clazz)` Gets the GeneratedFileName attribute of the UtilObjectSubTask object
`boolean` `getIncludeGUID()` Include a performant GUID generator in the util object.
`String` `getKind()` Gets the Kind attribute of the UtilObjectSubTask object
`boolean` `getLocalProxies()` should local proxies be returned instead of home interfaces be returned for SLSBs?
`String` `getUtilClassPattern()` Returns the configuration parameter for specifying the utility class name pattern.
`protected boolean` `matchesGenerationRules(xjavadoc.XClass clazz)` Describe what the method does
`void` `setCacheHomes(boolean cacheHomes)` Cache the homes?
`void` `setIncludeGUID(boolean includeGUID)` Include a performant GUID generator in the util object.
`void` `setKind(LookupObjectSubTask.LookupKind kind)` Sets the Kind attribute of the UtilObjectSubTask object
`void` `setLocalProxies(boolean localProxies)` Should local proxies be dynamically generated for Stateless session beans? (Typically used with Hibernate instead of Entity Beans to develop outside the container.)
`void` `setPattern(String new_pattern)` Sets the Pattern attribute of the UtilObjectSubTask object
`void` `validateOptions()` Called to validate configuration parameters.

Methods inherited from class xdoclet.TemplateSubTask

`addOfType, addOfType, addPackageSubstitution, copyAttributesFrom, engineFinished, execute, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcess, startProcessForAll, startProcessPerClass`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_UTIL_CLASS_PATTERN

    public static final String DEFAULT_UTIL_CLASS_PATTERN

See Also:
  Constant Field Values

Constructor Detail

### LookupObjectSubTask

    public LookupObjectSubTask()

  Describe what the UtilObjectSubTask constructor does

Method Detail

### getLocalProxies

    public boolean getLocalProxies()

  should local proxies be returned instead of home interfaces be returned for SLSBs?

  Returns:

### getKind

    public String getKind()

  Gets the Kind attribute of the UtilObjectSubTask object

  Returns:
    The Kind value

### getIncludeGUID

    public boolean getIncludeGUID()

  Include a performant GUID generator in the util object.

  Returns:

### getCacheHomes

    public boolean getCacheHomes()

  Cache the homes?

  Returns:

### getUtilClassPattern

    public String getUtilClassPattern()

  Returns the configuration parameter for specifying the utility class name pattern. By default the value is used for deciding the utility name. {0} in the value mean current class's symbolic name which for an EJBean is the EJB name. If nothing explicitly specified by user then "{0}Util" is used by default.

  Returns:
    The UtilClassPattern value

### setLocalProxies

    public void setLocalProxies(boolean localProxies)

  Should local proxies be dynamically generated for Stateless session beans? (Typically used with Hibernate instead of Entity Beans to develop outside the container.)

  Parameters:
    `localProxies` -

### setKind

    public void setKind(LookupObjectSubTask.LookupKind kind)

  Sets the Kind attribute of the UtilObjectSubTask object

  Parameters:
    `kind` - The new Kind value

### setPattern

    public void setPattern(String new_pattern)

  Sets the Pattern attribute of the UtilObjectSubTask object

  Parameters:
    `new_pattern` - The new Pattern value

### setIncludeGUID

    public void setIncludeGUID(boolean includeGUID)

  Include a performant GUID generator in the util object.

  Parameters:
    `includeGUID` - include the GUID generator or not

### setCacheHomes

    public void setCacheHomes(boolean cacheHomes)

  Cache the homes?

  Parameters:
    `cacheHomes` -

### validateOptions

    public void validateOptions()
                         throws XDocletException

  Called to validate configuration parameters.

  Overrides:
    `validateOptions` in class `TemplateSubTask`
  Throws:
    `XDocletException`

### getGeneratedFileName

    protected String getGeneratedFileName(xjavadoc.XClass clazz)
                                   throws XDocletException

  Gets the GeneratedFileName attribute of the UtilObjectSubTask object

  Overrides:
    `getGeneratedFileName` in class `TemplateSubTask`
  Parameters:
    `clazz` - Describe what the parameter does
  Returns:
    The GeneratedFileName value
  Throws:
    `XDocletException`

### engineStarted

    protected void engineStarted()
                          throws XDocletException

  Describe what the method does

  Overrides:
    `engineStarted` in class `TemplateSubTask`
  Throws:
    `XDocletException`

### matchesGenerationRules

    protected boolean matchesGenerationRules(xjavadoc.XClass clazz)
                                      throws XDocletException

  Describe what the method does

  Overrides:
    `matchesGenerationRules` in class `TemplateSubTask`
  Parameters:
    `clazz` - Describe what the parameter does
  Returns:
    Describe the return value
  Throws:
    `XDocletException`

http://xdoclet.sourceforge.net/